﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SL_AR_ParametericPageReport
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void idCombo_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            var currenthost = string.Format("http://{0}:{1}/",
                Application.Current.Host.Source.DnsSafeHost,
                Application.Current.Host.Source.Port);

            Uri codeuri = new Uri(currenthost + "ReportParam.aspx?ReportType=Page&ParamData=" + ((ContentControl)(idCombo.SelectedValue)).Content.ToString());
            WebClient codereport = new WebClient();
            codereport.OpenReadCompleted += new OpenReadCompletedEventHandler(client_ClientOpenReadCompleted);
            codereport.OpenReadAsync(codeuri);
        }

        private void client_ClientOpenReadCompleted(object sender, OpenReadCompletedEventArgs e)
        {
            if (e.Result != null)
            {
                Stream rdlx = (Stream)e.Result;
                LoadRDLXReportFromStream(rdlx);
            }
        }

        private void LoadRDLXReportFromStream(Stream stream)
        {
            //Loads the RDF stream and displays in the Silverlight Viewer
           SLViewer.LoadDocument(new GrapeCity.Viewer.Common.StreamDocumentLoader(stream, GrapeCity.Viewer.Common.DocumentFormat.Rdf));
        }
    }
}
